List files in a dataset
curl --request GET \
--url https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"name": "<string>",
"type": "csv",
"size": 123,
"rows": 123,
"description": "<string>",
"uploaded_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}Datasets
List files in a dataset
Returns one page of a dataset’s files. total counts the files that match the filters; with no filters it equals the dataset’s file_count.
GET
/
api
/
v1
/
user
/
dataset
/
{dataset_id}
/
files
List files in a dataset
curl --request GET \
--url https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.4minds.ai/api/v1/user/dataset/{dataset_id}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"name": "<string>",
"type": "csv",
"size": 123,
"rows": 123,
"description": "<string>",
"uploaded_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}Authorizations
Static, non-expiring API key: Authorization: Bearer <FOURMINDS_API_KEY>.
Path Parameters
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0Case-insensitive match anywhere in the file name.
File extension, case-insensitive (e.g. csv).
Exact file name, case-insensitive. Repeat the parameter to match several names.
ord is upload order.
Available options:
ord, name, type, size, rows, uploaded_at Available options:
asc, desc ⌘I